Package org.eclipse.net4j.util.event

# Interface IPropertiesEvent

All Superinterfaces:
  `IEvent`

All Known Implementing Classes:
  `PropertiesEvent`

public interface IPropertiesEvent extends IEvent

Since:
  3.29
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROP_TYPE`

## Method Summary

Modifier and Type
Method
Description
`Map<String,Object>`
`properties()`
`default String`
`type()`

### Methods inherited from interface org.eclipse.net4j.util.event.IEvent

`getSource`

## Field Details

### PROP_TYPE

static final String PROP_TYPE

See Also:
  - Constant Field Values

## Method Details

### type

default String type()

### properties

Map<String,Object> properties()